 * 3.2.2 3/13	patchlevel: sync Version with XEphem.ad (duh!)
 *		skyfits: add support for .fth. fix FSB Files width.
 *      3/16    skyview: new Fast zoom and panning modes.
 * 3.2.1 3/8	improved handling on leading ~ in file names
 *      3/9     usno.c and bdl.c: SEEK_SET
 *              fsmenu: Tycho/PPM: prevent both on, allow both off. default off
 *              much smaller uranus.9910
 *      3/10    skyview: allow all labeling off.
 *      3/12	major bug in astorb2edb.pl, rebuild asteroids*.edb.
 * 3.2  4/16/98	dataview: add zenith angle to table.
 *      4/20	skyview: add HA to and rearrange tracking labels.
 *      4/21	skyview: fix infifo handling.
 * 		fsmenu: move firewall test, add checks for 0 stars returned.
 *      4/27	rename BaseDir -> ShareDir and UserDir->PrivateDir;
 *              add Private/ShareDir gotos to FSBs; better Install directions.
 *      5/20	gsc.c: GSCSetup(): close cdrom if successful.
 *		ps.c: fix leaving dashed mode on after constellations.
 *      6/6	live dragging in earth and sky view (I got a new computer :-))
 *      6/22	skyview: report uranometria and millennium atlases vol/page
 *	6/30	skyfits: teach how to retrieve DSS in gzipped form
 *	7/6	skyview: add support for simple horizon map file
 *	7/29	main: add LST@midnight; allow Elevation to override Site.
 *      8/4	calmenu: label last/next month in calendar too.
 *	8/19	db.c: pad mallocs up to size of double for some machines.
 *	8/24	skyview: confusion over resource name for grid option.
 *	9/11	objmenu: add Set Tel; it and skyview's check for horizon.
 *     10/14	skyview: mark anti-solar point on ecliptic.
 *     11/25    main: add support for timezones on xephem_sites
 *     12/18    earth: mouse can drag too over image
 *     12/22	db.c: complain but don't exit if obj_cir() fails
 *     12/27    fits.c: allow FP fields to use D
 *     12/29    earth: add support for SSEC weather map underlay
 *		skyfits: display observation time and PB to set main
 *     2/4/99	FS: add support for USNO and Tycho catalogs
 *     2/8	jup/satmenu: add top view
 *              sites: allow for 8-bit chars in site names.
 *		xephem.c: support a logo across the top
 *     2/14	add new BDL support for Sat and Jup moons.
 *     2/15	add new BDL support for Uranus.
 *     2/18     mars: add moons.
 *              mars, moon, skyview: no longer print background ink.
 *     2/25	improve actions when can not get fonts
 * 3.1  3/26/97	skyview: support image printing (deserves feature version bump)
 *		skyfits: change gray options again.
 *		skyview: set fov scale correctly when loading image.
 *	3/27	skyview: add filename+OBJECT when printing image.
 *		skyview: fix zooming too far.
 *	3/28	skyview: add Equator and rearrange labeling options.
 *	3/29	net: tweaked FITS network code.
 *		skyview: label scales explicitly, swap alt/az track to match.
 *	3/30	skyfits: gray print labels now toggle with inverse colormap.
 *	3/31	progress: add estimate of time remaining.
 *		skyview: fix bug when image is narrower than menubar.
 *	4/2	net: new non-blocking code for connect()
 *		datamenu: tweak rise/trans/set formats.
 *	4/3	gscnet: dropped sign for eso stars with 0 degrees dec.
 *		ps: use UTC in boiler plate if possible
 *	4/5	mars: work around expose bug in some new accelerated X servers.
 *		many: add some space around children in promp dialogs.
 *		XEphem.ad: new color scheme.
 *	4/17	net.c: proper cast for getsockopt()
 *		pref: proper arg type for get_pref()
 *		solsysmenu: proper cast for XtAddCallback()
 *		skylist: connect label correctly.
 *		mainmenu: allow d or s anywhere in steps shortcuts for prefill.
 *		calmenu: month and year pulldowns connected to proper parent.
 *	4/18	marsmenu: add Apply and its own Help to More info dialog.
 *	4/20	skyview: fix mnemonic on Connect; fix eyepiece layout bug.
 *		net: allow either O_NONBLOCK or O_NDELAY.
 *	4/21	gsc, sky: add User-Agent http tag.
 *		skylist: show eyepiece sizes in d:m
 *		earth: fix tracking colors.
 *		ps: teach PS to follow X font sizes.
 *	4/22	compiler: add floor()
 *	4/23	moonmenu: add printing capability.
 *		marsmenu: add printing capability.
 *		net: use SOCKS_NS env like netscape; make SOCKS_PORT optional.
 *	4/24	skyview: bring automag settings out into AutoMag resource.
 *		skyview: snuggle all three sliders tight against frame.
 *		solsys: AllObj should be AllObjs; also honor its initial value.
 *		skyview: list AutoMag entries in main's Message box
 *	4/25	skyview: orient images to current l/r and t/b options.
 *	4/28	skyhist: format history to match scales.
 *		skyfits: bring histogram size and bg color out as resources.
 *		mainmenu: let Lat/Long resources take precidence over Sitename.
 *		skyview: fix bug in alt/az popup message when below horizon.
 *		skyview: add cardinal orientation to prints.
 *		ps: avoid 0-width ellipses in postscript
 *	5/5	add support for deltaT -- finally! Thanks to Sternberg.
 *		also incorporate lunar augmentation -- also Sternberg.
 *	5/11	ps: hack for ellipses on HP LaserJet 5.
 *	5/17	tips: fix tip window when using private colormap.
 *		skyfits: Save controls were attached incorrectly.
 *	5/26	moonmenu: graphical view returns, and no more Fake stars.
 *		moonmenu: add assign to sky object pulldown options.
 *	5/31	mainmenu: fix grievous error in mm_mjed() effecting rise/set.
 *		solver: more room for function text, simpler list/plot action.
 *	6/3	skyview: beware zoom out beyond 180.
 *	6/8	dataview: improve HA
 *	6/9	solsys: rework labeling
 *	6/13	skyview: change SKYLOC fifo format
 *	7/1	tips: fix memory bug
 *	7/10	constel.c: fix cns_pick() about 1' south in southern hemisphere.
 *		skyview: rise/set popup; separate deep/near, count as resource.
 *	7/13	skyops: fix name/mag interaction.
 *	7/14	skyops: separate deep-sky and near-sky mag limits.
 *	7/19	mars: fix longitude sign label; add Pathfinder and 2 Vikings.
 *	7/31	add and enforce Version resource
 *		support change in STScI image return text.
 *	8/10	skyview: rearrange/rename fifo controls to say "telescope"
 *		simplify filename resources
 *		add global Confirm resource
 *	8/11	skyview: leave field star label option alone when loading FITS
 *	8/19	add support for Proxies
 *	8/28	jup: make GRS longitude easier to change.
 *	9/7	db: fix bug in No Dups.
 *	9/13	make Confirm a preference; affirm fsmenu message; main help.
 *	9/22	let 24;00 denote just before midnight today
 *	10/9	db.c: fix another bug in nodups. ship net.h
 *	10/23	skyview: tweak cluster symbols
 *		skyfits: fix watch cursor bug
 *	10/27	mainmenu: finally allow setting TZone and TZName and use Now.
 *		xephem: include Version in fallback list.
 *	11/28	BaseDir; TELHOME; change edb/ to catalogs/
 *	12/22	make part of OCAAS; add -dumpfb argument
 *	1/9/98	solsys: add WhileDrag option for the really fast machines.
 *	1/27	srchmenu: Clear and change msg.
 *	1/29	add $HOME/XEphem to XUSERFILESEARCHPATH
 *	2/11	skyfilt: increase mag limit to 30
 *	2/13	skyfilt: move automag tb here; load _all_ field stars
 *	2/16	skyview: work on grid.
 *	2/24	reduce.c: fix bug when times are identical
 *	2/25	drop support for gscd and replace with xephemdbd -- much better!
 *		push some db and formats code out into libastro.
 *	2/27	skyview: add roaming cursor mode.
 *		Pre-release to testers
 *      3/3	fsmenu: improve cancelling network access.
 *	3/4	mainmenu: fix NEXTSUN/DAWN stepping.
 *		skyview: bug in alt/az to/from ra/dec opposite grid
 *	3/9	skyfits: finer tips for FSB
 *		circum.c: deflect() was called with prior object's helio!
 *		skyfilt: make mag step a scale.
 *	3/12	progress: added frame
 *		db: insure all objects start out-of-date.
 *	3/18	release on web but no email yet
 * 3.0.1 2/17/97 skyview: disable fits image if reaim via ObjXYZ or popup too.
 *      2/18	misc: efficiency tweak to solve_sphere()
 *	2/27	skyfits: add Histogram equalization option.
 *	3/3	skyfits: show histogram, not gray map.
 *	3/6	skyfits: add sqr root gray mapping and always overlay graymap.
 *	3/10	skyview: make FOV scale label a configurable resource
 *		main: guard epoch != FITS equinox
 *		skyfits: histo plot wasn't showing 0 entries.
 *	3/14	net.c: add support for Socks firewall guard, version 4, maybe 5.
 *	3/24	skyview: free FITS memory when close. new scale labeling.
 *		mars: course->coarse spelling error
 *		skylist: more room in list dialog. solid/border eyepieces.
 *		skyview: reorganize eyepiece controls
 * 3.0 8/2/96	gscnet: change for DEC OSF/1.
 *	8/6	preferences: no more Accurate preference.
 *		datamenu: set Adaptive text field columns to 5.
 *	8/7	RA/Dec are now always apparent at EOD, else astrometric.
 *		mainmenu: change 5:0 to 1:0 in Step short cuts.
 *		circum: was using twice too much parallax sometimes.
 *		xephem: fixed Quit accelerater.
 *	8/8	skyview: eyepiece dialog; brightest non-stars too;
 *		ps.c: support dashed lines.
 *	8/9	field stars: add support for ESO connection
 *		gsc.c: more changes for gcc 2.6.3 -O2
 *		query: forgot to add private colormap here.
 *	8/15	skylist: add spectral class.
 *		skyview: force non-planet/non-stars to have finite size symbols.
 *	8/19	gscnet: improve ESO efficiency.
 *	8/23	skyview: switch to rectangular format.
 *	8/26	skyview: print grid spacing and eyepiece size, if on.
 *	8/29	ppm: mods for VMS.
 *		skyview: just say "Brightest"
 *		Stern's circum.c changes.
 *	9/3	switch to one global topo/geo preference.
 *		datamenu: switch to menubar.
 *	9/8	add one more digit to hi precsion ra/dec displays.
 *	9/10	pickgc: add spectral class C, and move K to whiter color.
 *	10/1	retire eo_n.
 *		set/get mag using new macros
 *	10/2	many: close cleanly from system menu too.
 *		list: use an enum typedef for options.
 *		data: add file list control.
 *	10/3	data: retire StdRef model.
 *	10/4	riset_cir now returns mjd of next events
 *	10/8	now_lst(): returns LAST if epoch == EOD else LMST.
 *		many: added s_gaera/dec fields to all objects.
 *		skyview: fixed case which resulted in no right popups.
 *	10/9	circum: equ parallax ra correction sign error
 *		skyview: change "Fifos" to Extern. fix cns boundaries culling.
 *		moonview: add umbra and penumbra circles
 *	10/12	moved versionmenu comments into HISTORY; changed to patchlevel.c
 *	10/13	skyview: put scene in a frame. label left/right.
 *	10/14	skyview: back out rise/t/s -- slow and can always use assign.
 *		solsys: S+E+Obj shortcut.
 *		objmenu: no dups
 *		skyview: clean up mag scale when printing
 *	10/16	skyview,solsys: add "show in dataview" for planets to popup
 *		solsys: rearrange menus and add a few more shortcuts.
 *		mainmenu: new layout
 *		calmenu: calendar was always marking NM/FM using UTC.
 *		dbmenu: use text and take care with "---"
 *	10/17	preferences: clean up some code.
 *		fsmenu: fix bug in fs_nodbdups() that could miss on either end.
 *		ppm.c: fix bug in ppmfetch() that could be off by 1 in srch.
 *	10/18	tips: invent technique and start adding tips
 *	10/22	mainmenu: add Update to File and its accelerator.
 *	10/23	many: make the Update accelerator available from all dialogs.
 *		many: clean up some little ansi-isms.
 *	10/25	skyhist: change accels to use Ctrl -- Alt confused olwm.
 *	10/27	earth,skyviews: improve tracking coords with proportional fonts.
 *	10/30	xephem: put version in title bar
 *	11/6	skyview: smarten up tracking coords background color a bit.
 *		skyview: put rise/trans/set back in popup as an option.
 *	11/18	time: VMS V7 now supports gmtime().
 *	11/19	tips: set colors with tip{Fore,Back}ground
 *	12/2	refract, riset, riset_cir: improve in several ways.
 *	12/7	mars: work around expose bug in VMS V7
 *		add IC.edb; thanks to Christos Siopis, siopis@astro.ufl.edu
 *	12/15	add support for galaxy shapes and position angles.
 *	12/24	riset_cir: better enforcement of "TODAY".
 *	1/2/97	solsys: plots showed longitude+90 (!)
 *	1/9     skyview: start support for FITS files.
 *	1/20	consolidate 8 and 16 fits I/O.
 *	1/21	skyfits.c: rework dialog layout.
 *	1/22	skyview, list: support shaped eyepieces.
 *	1/23	skylist: allow option to lock eyepiece w/h together
 *	1/26	skyfits: add gray map shortcut buttons.
 *		skyfits: get ESO connection working.
 *	1/28	skyfits: support STScI DSS image retrieval.
 *		skyview: magscale option (turns off when viewing a file)
 *	1/29	updates to spacecraft.edb, thanks to Vance Haemmerle.
 *		skyview: add automag option.
 *	1/30	add lots of widget tips all over the place.
 *		marsmenu: change fopen() to fopenh().
 *		give many dialogs a somewhat more spacious layout.
 *	2/1	dataview: pay penalty for creating it one time when coming up.
 *		skyview: bring options out into their own dialog -- much better!
 *		add an Example of displaying an image
 *		make a few slight mods for OS/2 (?!?)
 *	2/2	skyview: separate font for constellation names.
 *		skyview: fix bug printing rectangular eyepieces
 *	2/3	trails: allow settig max ticks scale from a resource.
 *		progress: add close PB and tips
 *	2/4	added tips to skyview, solsys and moon popup menus too.
 *		mars: fix sky culling bug (could show very distant objects)
 *		misc and skyfits: tweaks for AIX
 *	2/5	moon.c all new: thanks to Sternberg and Moshier (see credits)
 *	2/6	moon, mars: require new images with flipped rows.
 *		libration: all new: thanks to Moshier (see credits)
 *	2/7	libration: allow for signed chars in {lat,lng}args[] and uses.
 *		datamenu: typo in help for Size (bet it's not the only one!)
 *		ps.c: do small filled arcs with bitmaps for brain-dead X servers
 *	2/8	xmisc: be more wary when checking for need of private colormap.
 *		skyview: center Help and Close buttons in Options dialog.
 *		skyfits: do nothing from gray map if no current image.
 *		  put up progress meter for ESO downloads too.
 *		  decide not to auto flip T/B -- we'll see what's popular.
 *		  better watch cursor support.
 * 2.9.2 7/2/96	ps.c and vms/Makefile.mms: patches for vms.
 *	7/8	sphcart.c: elongation sign, mars shadow wrong side sometimes.
 * 2.9.1 6/5/96	gsc: improve numerical stability in gscPickRegion()
 *	6/7	mars: don't show center X if rotated by hand.
 *		sky: fix first history entry.
 *	6/12	fs: set FLDSTAR flags when NoDups is off too.
 *	6/13	nutation.c: remove the consts.
 *		mainmenu: fix double evals in some cases.
 *		allow for non-0 screen number.
 *		fix several preference mnemonics.
 *	6/21	precess: bug in hi-precision code (very small effect)
 *	6/23	gscd: change to syslog LOCAL_7 and improve README for.
 *	6/26	added -install {guess|no} option for private colormap.
 * 2.9	12/20/95 ps: use remove instead of unlink if __STDC__.
 *		make a few updates to xephem_sites file.
 *	12/22	ps: insure tmpnam() returns something with a '.' in it for VMS.
 *	12/30	moon: label Apollo (13)14.
 *	1/2/96	calmenu: fix bug avoiding calenders prior to 1752.
 *	1/17	skyview: tweak up symbols a bit.
 *	1/30	skyview and solsys: spell out print labels.
 *	2/2	sky and data: add galactic coords.
 *		add color printing option.
 *	2/5	ps: add title option to plots.
 *	2/9	skyview: add option to avoid GSC stars when labeling.
 *		close: fix mnemonic for Options menu.
 *		skyview: add eyepieces.
 *	2/29	ps: guard against strings with ()\ in them.
 *		circum.h: small reduction in DB usage.
 *		solsys: show all objects
 *	3/1	skyview: replace bright mag limit with mag bins per dot.
 *		solsys: always delete trail at each Update.
 *		skyview: add rise/trans/set times to pulldown.
 *		data view: tracks ObjX/Y automatically.
 *		solsys: can set ObjX/Y too.
 *	3/6	plot: add printing feature; improve earth/solsys centering.
 *	3/7	skyview: obj mark remains until next scene change.
 *		anomaly: press for better convergence.
 *		skyhist: include filter settings.
 *	3/8	skyhist: include justdots, eclip, galac, grid, conn/f/b, grid.
 *	3/15	ps: clean up garbage characters in .ps files.
 *	3/21	skyfilt: more compact dialog arrangement.
 *	3/26	absorb GSC into xephem. create fsmenu.c for field star lists.
 *		allow setting SiteSL.visibleItemCount in X resource file.
 *	3/27	skyview: move Filter to Control menu; option to label FLDSTARs.
 *		fsmenu: improve the nodups code; add FLDSTAR code to o_flags.
 *		objmenu: eliminate the No dups option.
 *		sky: stop tracking a user obj that becomes undefined.
 *		sky: fix bug looking for trailed objs when db shrinks.
 *	3/28	sky: work more on fldstars.
 *	3/29	fsmenu: allow for 2 cdrom drives (must be nice :-)
 *	4/7	allow for trailing blanks in filenames from X resources.
 *	4/15	work more on field stars support.
 *	4/17	write gscd and fold socket connection into xephem.
 *	4/19	add PPM catalog as field stars too.
 *	4/20	skyview: allow scaleMultple to be set from resource file.
 *	4/21	jup/satviews: field stars; free pixmap on close; exposes via pm.
 *	4/22	moonview: fstars; next sunrise/set under cursor; mag in popup.
 *		main: fixed selecting the last Site.
 *		sky: one-time aa trail warning.
 *		listing: fflush after each line.
 *		solsys: guard against 0-width arcs.
 *	4/23	misc: fiddled a bit with syserrstr().
 *		list: add column headings. fix bug listing lat/long etc.
 *		main and objmenus: preload prompt.
 *		skyview: now allows for being closed from WM menu.
 *		add ObjZ and direct cascades in sky/sol popups for assigning.
 *	4/24	solsys: add ss_newdb (fixes DB add/del update latency)
 *		datamenu: comes up automatically when set objxyz.
 *		objmenu: automatically tracks most recent objxyz assignment.
 *		gscnet.c: goes away if -DNOGSCNET.
 *		formats.c and trails.c: tweaks for broken VMS C (x=-1, c=*bp).
 *	4/25	mars: start on new image version.
 *	4/26	mars: add adjustable scales, flipping.
 *	4/28	mars: add mars_db, sky background.
 *	5/4	libration: finally put in all the fussy init {} pairs.
 *	5/6	mars: add seeing blurrer.
 *	5/7	data: wasn't showing elongation for fixed objects!
 *		mars: add shadow.
 *	5/8	switch to Bretagnon and Chapront (kudos to Michael Sternberg)
 *		moon/mars: switch to alloc_ramp().
 *		PREF_PRE_FILL.
 *		switch from XGetDefault() to XtGetApplicationResources().
 *		trails: use xvertext() package.
 *	5/9	trails: tweak up centering.
 *		sky: add UTC trail time comment on postscript.
 *		solsys: add trail interval time comment on postscript.
 *	5/10	tweak up TZ and Site resource setting a little.
 *		skyview: add SkyEyePColor
 *		solsys: stereo view positions more actively near main.
 *		release for final test.
 *	5/11	make XPSRotDrawAlignedText() use doubles for some compilers.
 *		rotated: fix a few ANSIisms.
 *	5/12	gscnet: #if !def(FD_ZERO) || def(_AIX) <sys/select.h>
 *	5/13	mars,moon: ONE_OF_MANY to N_OF_MANY in View pulldown.
 *		mars: course+fast
 *		data,prefs: eliminate dual boolean toggle resources.
 *	5/14	earth: don't round long scale to keep it <= +179.
 *		db: don't print initial file loadnames
 *	5/15	{chap95,gsc,ppm,vsop87}.c: portability tweaks.
 *		sky: fix so altdec scale shows full label when dec < 0.
 *	5/16	gscnet: try to use h_error when gethostbyname() fails.
 *		main: add external file support.
 *		sky: fix memory leak in file list feature.
 *	5/22	several minor wording and porting tweaks.
 *	5/23	tweaks for B/W displays.
 *		datamenu: no longer comes up automatically when set objxyz.
 *		start work on tips.
 *	5/27	misc: put back check for __GNUC__ lack of strerror().
 *		ps: draw polylines using splines.
 *		moon: fix bug which overruns memory on B/W display.
 *		mars: speed up seeing blurring.
 *	5/29	main: update lat/long when reading from external file.
 *		data: help for trantm/alt now states it works for satellites.
 *		new aberration and nutation code.
 *		earth: blew when given a satellite with neg height :-)
 *	5/30	skyview: fix mag scale text bigger than background patch.
 *	5/31	moon: mark subearth, subsolar and anti-subsolar points.
 *	6/3	plans: low-precision set to ~2"
 *		xephem: add QuickQuit.
 * 2.8	8/24	solsys: fix pick bug when some objects are turned off.
 *	8/30	skyview: change All labels to Bright labels.
 *	9/1	skyview: find picked objects some 4-5x faster.
 *		skyview: better culling.
 *      9/11	sites: split out from earthmenu handling code into sites.[ch].
 *		plotmenu: improve portability.
 *	9/14	mainmenu: add Sites field and rearrange a few fields.
 *	9/18	earthmenu: fix cylindrical sunlight near equinoxes.
 *	9/28	moon: support for gray-scale image; improve bitmap.
 *		objmenu: honor bell preference if search not found.
 *		skyview: put up generic popup if no objects in FOV.
 *	9/30	moon: mag glass.
 *	10/10	moon: show better moon shadow; support more pixel depths.
 *	10/11	moon: grid; apollo; map features.
 *	10/14	moon: flip; improve phase; add solar angle.
 *	10/16	skyview: maintain flip lr/tb in history.
 *	10/17	moon: move tracking to More info dialog.
 *		sat and jup: add scale calibration tag.
 *	10/18	moon: longitudes are +E but selenographic colongs are +W!!
 *		main: say <No site defined> if no site.
 *	10/28	skyview: add Bright mags view option.
 *	10/31	skyview: just-dots sizes now agree better.
 *		skyview: galaxies as open ellipses, bright neb as open hexagons.
 *		improve planet magnitude model a little.
 *	11/1	jupmenu: update sky background when db changes :-)
 *	11/2	moonmenu: change to linear earthshine brightness model.
 *		skyview: constellation boundaries, and sep color from figures.
 *	11/4	constel: cache the constellation boundaries.
 *		skyview history: also restore mag limits; show RA in hours.
 *		moon: border all around; xor color message; better drtn labels.
 *	11/13	skyview: trail ticks/stamps no longer shrunk in to edge.
 *		moon: use white if can't get annotation or glass border color.
 *		misc: skip leading blanks in all filename opens.
 *		asteroids.edb updated.
 *	11/14	dataview: add HA airmass and columns.
 *		moon: support real sky background.
 *	11/15	moon: add ability to pick sky object for id.
 *		skyview: fix bug in Oph/Sco constellation boundary.
 *		constel: remove redundent edges.
 *	11/16	misc: allow NULL arg to solve_sphere() and use elsewhere.
 *		basic.edb updated with new YBS catalog.
 *	11/18	sky: decrease LOCEP to 1e-6 rads. no dups now based on location.
 *		sky: display Bayer designations in symbol (greek) font.
 *	11/20	sky: separate View->Labels cascade menu.
 *	11/21	objmenu: make Search label a PB.
 *		objmenu: don't make new list just for update.
 *	11/22	split out basic.edb into ybs.edb and messier.edb, change DBinit.
 *		include labeling options in history control.
 *		db.c: dups also mean same type, mag and spectral class.
 *		objmenu: eliminate some needless resorting.
 *	11/24	skyview: start to add printing.
 *		solsys: print from here too.. it's easy now.
 *	11/28	skyhist: add History->delete one; init list with first setting.
 *	11/29	tweak up printing a little.
 *	11/30	skyview: add magnitude scale.
 *	12/4	skyview: mag scale format tweaks.
 *	12/5	ps: provide separate save and print controls.
 *		earth: add print support -- all but sunlight.
 *	12/6	skyview: get greek working in postscript.
 *		constel.c: remove extra edge through RA=18:25.3 edge of Se2.
 *	12/7	update a few fallback settings.
 *	12/14	earthmenu: get sunlight printing working, tweak up labeling.
 *	12/18	ps: optional clipping.
 *	12/19	db: set checkpoint after reading in initial set of files.
 * 2.7.1 8/10	solsys: fix stereo expose and extra ecliptic lines.
 *		clean up help for Triad format and some typos.
 *		skyview: fix overlapping RA/Az grid marks near poles.
 *		formats: fix times near 24:00
 *	8/11	earthmenu: improve changing from cyl <-> sph
 *	8/17	dbmenu: slight change for Ultrix.
 *		solsys: improve help for stereo.
 *	8/19	trails: tweak the character set just a bit.
 *	8/21	jupmenu: delete unused variable.
 * 2.7	5/18	add close objects facility.
 *	5/19	db.c: no "/" between filename components #ifdef VMS
 *	5/22	sky filt: slightly larger symbols and tweak up centering.
 *	5/23	sky view: more tweaking of grid spacing.
 *	5/24	satmenu: display database objects behind saturn.
 *	5/26	allow fractional seconds in all ra/dec entries.
 *	5/30	clean up external function declarations (touched all files).
 *		scan TZName/TZone first so other fields may use when no OS sprt.
 *		data menu: add earth- and sun-object light travel time columns.
 *	5/31	saturn view: add more features.
 *		help menu: don't rely on XmText widget to expand tabs.
 *	6/1	sky view: streamline trail setup with its own dialog.
 *	6/2	sky view: add trail help.
 *	6/13	support new fixed class L for Pulsars and add a sample database.
 *	6/14	minor changes for sunos.
 *		add otherStellarColor resource.
 *		tweak pulsar symbol.
 *	6/15	skyviewmenu: add "Point + Zoom" to pulldown.
 *		reading from DBFIFO no longer pre-deletes back to checkpoint.
 *	6/19	closemenu: add Auto option.
 *		add a simple progress meter.
 *	6/20	dbmenu: open DBFIFO each time the button is pressed.
 *	6/21	dbmenu: add No Dups feature.
 *	6/22	support new fixed class J for Radio and add sample vla databases
 *	6/26	dbmenu: include user-defined objects in tallys now too.
 *	6/28	earthsat: PI2 conflicted with one in linux's math.h.
 *		jupmenu: add features much like satmenu.
 *	6/29	skyview: add zoom factors to popup.
 *	6/30	skyview: move Locate to main menu bar.
 *		jupmenu: add GRS
 *		closing also implies turning off movie demos.
 *	7/4	skyview: add file list control.
 *	7/7	closing views also stops movies.
 *	7/8	data: allow user input of rise/set horizon displacement.
 *	7/10	close: tweak up algorithm, add file write option.
 *	7/11	main: LT "Mightnight Tonight" shortcut and zone name under cal.
 *		add What's up help.
 *	7/12	sky view: added Go back view command
 *		earthmenu: fine tune drawing precision.
 *		earthmenu: trails now connected and use tickmarks like sky view.
 *		closemenu: discard objects below horizon when in topo mode.
 *	7/14	main: fix display of negative timezone and step sizes.
 *	7/15	add trail control (ala sky view) to earth too.
 *	7/16	earthmenu: fix Create Trail prompt.
 *		xephem.c: add basic Trail fallbacks.
 *		solsys: add watch cursor (!)
 *	7/17	misc changes for UnixWare C compiler.
 *		retain trails setup between calls.
 *	7/20	trails: add control over rounding.
 *	7/22	start work on rotated text for trails.
 *	8/3	add more trail options.
 *	8/4	earthmenu: fine-tune circle drawing a bit more.
 *		solsys: graft new trail facility here too.
 *	8/6	solsys: fix trail effect on current object circumstances.
 *		skyview: add explicit Save to compliment Go back.
 *		earth: don't discard trails at Update if Show Trail is on.
 *	8/7	skyview: add richer history facility than just goback.
 * 2.6.3 4/26	set/get_something(): change value from (char *) to (XtArgVal)
 *	5/1	allow ! to introduce a message coming over DBFIFO.
 *		add gscdbd to Manifest.
 *	5/9	add (void *) casts to mem* function args.
 *		XEphem.ad: *background to gray30 and other minor changes.
 *		earth view: add crude+fast option
 *		sky view: allow .1 degree FOV and pointing control.
 *		sky view: allow constellation names without figures.
 *	5/10	sky view: tweak up grid for very small fov.
 *	5/11	sky view: add labels to grid.
 *	5/17	saturn info: add ring tilt from sun (and improve algorithm).
 *		plot: option to draw X axis as dates (not just decimal years)
 *	5/18	fs_date(): allow for %g rounding up day
 *		sky view: send to LOCFIFO via Button3 popup, not Button2.
 *		sky view: use mediumStarColor when spectral class unknown.
 *		start breaking up some help sections into smaller chunks.
 * 2.6.2 1/30	earthmenu.c, line 448: init sites_w (fixes bombing if no sites).
 *	2/28	add comments explaining TZone and TZName to XEphem.ad.
 *		remove obsolete entries for AltAzMap in XEphem.ad.
 *		give a better explanation of discarding sol sys trails in help.
 *		sky and earth views close properly from direct windw mngr cmd.
 *		improve mktime() in time.c (thanks to madler@vssad.enet.dec.com)
 *		surround all colors in XEphem.ad with #ifdef COLOR for xrdb.
 *		add help comment for dawn/dusk needing reasonable TZ Offset.
 * 	4/24	libration.c: change some statics to #defines.
 *		skyviewmenu.c: make popup child of svda_w (fixes X Grab error)
 *		solsysmenu.c: make popup child of svss_w (fixes X Grab error)
 * 2.6.1 1/23	minor portability patches for VMS, OSF/1
 *		fix bug when XEphem.DBinitialFiles was set to nothing.
 *	1/24	scrub xephem.hlp for typos
 *		fixed skyview initial garbage and earthview new-mode half-paint.
 * 2.6  4/11	add Movie shortcuts to some of the graphical views for demos.
 *		message menu now starts in an unmapped state.
 *	4/13	various performance improvments: SkyView is 25% faster now.
 *      5/3	display all timestamp updates, even during movie loops.
 *	5/12	draw Sun and Moon to actual size in SkyView (great for eclipses)
 *      8/2	improve earth trig near poles.
 *		improve anomaly.c (thanks to Richard Clark).
 *      8/4	allow searching for db object by name.
 *		improve stability of ObjX/Y menu sizing behavior.
 *		add top/bottom and left/right flip controls to sky view.
 *	8/7	improve placement of plot labels.
 *	8/23	continue object name searches from where left off last.
 *		add display of LMT (UT - radhr(LNG)) to earth popup and tracking
 *	8/31	add cylindrical projection to earth menu.
 *	9/27	updated ephem.db with epoch 10/5/1994 asteroids.
 *	10/2	fix coord tracking bug in earthview.
 *	11/2	improved earth map data.
 *		improve stability of earthview menu sizing behavior.
 *		add N/S and E/W flippers to saturn and jupiter views.
 *		just draw bullseye for newest trailing entry in earthview.
 *	11/14	show solar eclipse path projection on earth view.
 *		s_edist is now in AU throughout (and added constants to support)
 *		add display of LST (GST- radhr(LNG)) to earth popup and tracking
 *		gray out fields that are not updated when looping with Pause=0
 *		Timezone preference now effects all time fields, not just stamp.
 *		Auto timezone tracking mode (maintains local conventions)
 *		support for longer time zone names (up to 7 characters)
 *	11/16	add constellation figures to skyview.
 *	11/17	Pause is now a float number of seconds.
 *	11/21	support fixed class "R": supernova remnant
 *		improve some of the skyviewmenu object symbols.
 *		add size to sky view popup menu.
 *		ignore case when sorting objx/y list.
 *		add a basic set of built-in objects.
 *		provide a general-purpose file selection box to manage db files.
 *		break up ephem.db into several *.edb files.
 *	11/25	add angular separation to skyview tracking.
 *		add FOV and limiting mag to loc_fifo message.
 *		improved support for finite sized objects.
 *		retain az better at zenith if switch to ra/dec and right back.
 *	12/5	faster object culling in skyviewmenu.
 *	12/8	don't init aggregate in earthmenu.c (choked a Sun compiler).
 *		fix constellation figures coords that had dec < 0.
 *		round skyview symbol sizes down from just dots, not up.
 *		remove use of HUGE from misc.c (outdated and some are bogus).
 *	12/12	report fractional days in some dates (fs_date(); +mjd_day()).
 *		fix spacecraft.edb.
 *		set skyview FOV scaleMultiple=10 and try to give it KB focus.
 *	12/13	ignore xephem_sites lines that do not begin with alpha or digit.
 *		change to DBdirectory/DBpattern/DBinitialFiles; drop dbbuiltin.c
 *		fix bug in faster skyviewmenu object culling.
 *		retain ra better at poles if switch to alt/az and right back.
 *	12/16	change layout of most views to use menu bar.
 *	12/28	lots more menu layout changes.
 *	12/29	fix bug in hadec_aa() when lat was near either pole.
 *	12/30	make skyview trailed objects immune to filtering.
 *      1/5/95	menu bar for db menu too.
 *		move opening of DB fifo into db menu with it's own button
 *	1/6	change round earth projection name from polar to spherical.
 *	1/12	switched to Dan Bruton's code for saturn's moons and ring tilt.
 *	1/13	eliminate not-so-portable union initialization from earthmenu.c
 *		use menu bar in plot view too.
 *	1/16	improved constants for Iapetus elements.
 *		fix bug in hours up when using UTZ timezone preference.
 * 2.5a 4/6/94	mods to plot_aux.c and moonmenu.c for monochrome displays.
 * 2.5  6/8	make mainmenu prompt shortcuts context-sensitive.
 *		get timezone name and offset during "Now" ifdef __STDC__.
 *		increase max timezone name length from 3 to 4.
 *	6/10	provide for showing Earth from any sun vantage.
 *      6/10	support first char of '~' in filenames means HOME.
 *      6/16	support osfHelp function key.
 *		allow even more for VMS' lack of timezone info.
 *      6/21	improve Earth map resolution a little.
 *	7/12	two help dialogs were coming up from Help in db menu.
 *              add Earth sites file.
 *	7/13	was not dstrying main or objmenu's prompt dialogs when cncelled.
 *		add timestamp zone preference.
 *      7/17	add Earth object tracking mode.
 *	7/24	add "set main" control to Earth.
 *		draw tracking data in earth and sky views without using labels.
 *	8/10	update from oahirsch@southpower.co.nz re: his VMS UTC correction
 *	8/18	improve button/label switching appearances for b/w monitors.
 * 		get Earth satellite support well along.
 *	8/27	more goodies for the Earth menu.
 *      8/31	add satellite rise/set times.
 *	9/7	add the adaptive time step control options.
 *	9/8	add lunar libration.
 *	9/9	add DBFIFO.
 *	9/15	add sky view object tracking.
 *	9/16	add SKYLOCFIFO.
 *	9/16	add SKYOUTFIFO.
 *		DB menu: change Replace to Delete in prep for db Checkpointing.
 *		NEW CIRCUMSTANCES flashes.
 *	9/23	change method of destroying dialogs.
 *	9/27	add SKYINFIFO.
 *	9/28	confirm quitting.
 *	10/5	mainmenu.c: take out "Now n = now;" for old SPARC compilers.
 *	10/6	add angle format preference and simplified the formatting code.
 *	10/7	earthmenu: use site location, not cursor, for object alt/az.
 *	10/12	add a preference to ring the bell for each new message.
 *	10/27	add matherr().
 *		check for Earth satellite elements being used for too long.
 *	10/29	another tweak for VMS (nonblocking fifo i/o)
 *	11/2	reduced potential for memory fragmentation from db operations.
 *		added notion of a "checkpoint" to the database.
 *		don't remove trails if objects still exist after a db delete.
 *	11/4	don't beep more often than once every few seconds.
 *      11/16	add ecliptic grid and leg options to solar system view.
 *	11/20	fix a problem on monochrome X terminals.
 *	11/22	avoid difftime() for GNU.
 *	11/28	a few tweaks to the manual and help text.
 *	11/30	get rid of most long lines.
 *	12/14	force message box to up for first message.
 *		check that each Earth color is unique.
 * 2.4e 6/1	can not list rise/set/transit times while looping: fixed.
 *		decreased loop delay when pause is set to 0.
 *		changed troublesome comment in skyviewmenu.c.
 *		another change for DEC's alpha in time.c.
 *		added constellation name to Sky View cursor tracking report.
 *		patch to bring v2.4b to v2.4e posted to comp.sources.x.
 * 2.4d 5/27	Sky Mark in ObjX/Y before Sky View seg faults: fixed.
 * 2.4c 5/19	portability enhancements, particularly to VMS and Motif 1.2.
 * 2.4b 5/10	changed to using memcpy() instead of struct assign (for Alpha).
 *		2.4b was released to comp.sources.x May 1993 in v19i090-v19i110.
 * 2.4a 4/23    changed usage of time() (just needed for DEC's Alpha CPUs)
 * 2.4 4/21     fixed blank jup and sat views (unsigned).
 * 2.3 4/12	add ecliptic option to sky view.
 *     4/15	ephem.db: fix Yale names and improve asteroid a/n accuracy.
 *     4/20	add cursor location tracking to sky view.
 *		add "All labels" to sky view.
 *     4/21	add central cross-hair to Earth subsolar view.
 * 2.2 4/3/93	fixed infinite loop when assigning new objx/y with trails on.
 *		removed erroneous grid lines at some pointing directions.
 *		reinstate neglected nutation correction (!) cir_sky().
 *		just show blanks for sun's SnDst and Phase.
 *		fast buttons for 00:00:00 for UT and "Today" under the calendar.
 *		change Epoch-of-date prompts a bit.
 *		cleaned up type casting and add function prototypes.
 *		fixed bad mix of malloc() with XtFree() in db.c
 *     4/5	use pixmap in skyview for much smoother display.
 *     4/6	fix bug that pops up skyfilt when pop down skyview from main.
 *     4/7	improve conversion from helio period to daily motion.
 *     4/8	all datamenu fields are now fixed-width for more stable sizing.
 * 2.1 3/17/93	fixed bug in reading dates from the database.
 *              main menu fields are fixed-width for more stable size.
 * 2.0 3/15/93	major release
 * 2.0A 2/16/93	2.0 alpha put on export and notice posted to sci.astro.
 * 1.1		update sent to export.lcs.mit.edu
 * 1.0 2/24/92	baseline release to comp.sources.x and export.
 * 0.1 12/13/90 first viable beginnings. main three menus working ok.
